Skip to main content

Elementor Pro Form Widget – Pipedrive CRM – Integration

Elementor Pro Form Widget Pipedrive CRM Integration is a Pipedrive CRM integration plugin for WordPress that makes it really simple to send your Elementor Pro Form Widget forms directly to your Pipedrive CRM account.
30$
Updated: 24 November 2022
Sales: 439

License for one site, lifetime use and updates + 6 months support.

Elementor Pro Form Widget Pipedrive CRM Integration is a Pipedrive CRM integration plugin for WordPress that makes it really simple to send your Elementor Pro Form Widget forms directly to your Pipedrive CRM account. After the integration, submited the form are automatically added as lead, deal, person & organization, activity or deal & activity to the specified account in Pipedrive CRM, together with additional data.

Advantages of our plugin

Average response time 2 hours (from 11 to 19 hours (UTC+3) from Mon – Fri)
The plugin is configured through the site’s administrative panel.
We have a strategy for adding new features and settings, and we also take into account the wishes of our users.

Features:

  • Integrate your `Elementor Pro Form Widget` forms with Pipedrive CRM.
  • Integrate unlimited `Elementor Pro Form Widget` forms.
  • You can choice that your want to generate – lead, deal, person & organization, activity or deal & activity.
  • When creating a lead/deal/activity, a person and an organization are created (or used existing if there is) and connected to it.
  • Fields are loaded from the CRM (including custom fields).
  • You can set up each form personally, specify which information your want to get.
  • Sending in two modes: immediately when submitting the form or with a slight delay through WP Cron.
  • Supports getting `utm` params from the `URL`.
  • Supports for sending `GA Client ID`.
  • Supports for sending `roistat_visit` cookie .
  • Supports for sending _fbp cookie.
  • Supports for sending _fbc cookie.
  • Supports for sending _ym_uid cookie.
  • Supports uploaded files.
  • Multiple pipeline support.

Important notes:

This plugin requires the Elementor Pro plugin >= 3.2.0

Related products